local _, S = ...

-- http://wow.gamepedia.com/List_of_emotes

-- we just need a substring
-- preferably one that includes both with a target selected and without
local L = {
	enUS = {
		AMAZE = "is amazed",
		-- %s is amazed!
		-- %s is amazed by %s
		APOLOGIZE = "apologizes",
		APPLAUD = "applauds",
		BRB = "will be right back",
		GREET = "greets .+ warmly",
		-- %s greets %s warmly.
		-- %s greets everyone warmly.
		HELLO = "greets .+ with a hearty hello",
		LAUGH = "laughs",
		ROFL = "rolls on the floor laughing",
		THANK = "thanks",
		WAVE = "waves",
	},
	deDE = {
	},
	esES = {
	},
	esMX = {
	},
	frFR = {
	},
	itIT = {
	},
	koKR = {
	},
	ptBR = {
	},
	ruRU = {
	},
	zhCN = {
	},
	zhTW = {
	},
}

L.zhCN = L.zhTW

S.L = setmetatable(L[GetLocale()] or L.enUS, {__index = function(t, k)
	local v = rawget(L.enUS, k) or k
	rawset(t, k, v)
	return v
end})
